package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.SalarySettlementTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;

/**
 * 对应数据库表(teacher_default_music_group_salary):
 */
public class TeacherDefaultMusicGroupSalary {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "教师编号",required = false)
	private Integer userId;
	
	/** 班级类型（参照 course_schedule表的type_字段） */
	@ApiModelProperty(value = "课程类型",required = false)
	private CourseScheduleType courseScheduleType;


	@ApiModelProperty(value = "结算方式",required = false)
	private SalarySettlementTypeEnum settlementType;

	/**  */
	@ApiModelProperty(value = "最小课时长度",required = false)
	private Integer durationMin;

	/**  */
	@ApiModelProperty(value = "最大课时长度",required = false)
	private Integer durationMax;
	
	/** 主教薪酬 */
	@ApiModelProperty(value = "主教薪酬",required = false)
	private BigDecimal mainTeacherSalary;
	
	/** 助教薪酬 */
	@ApiModelProperty(value = "助教薪酬",required = false)
	private BigDecimal assistantTeacherSalary;

	@ApiModelProperty(value = "是否删除该条数据",required = false)
	private YesOrNoEnum delFlag;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public YesOrNoEnum getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(YesOrNoEnum delFlag) {
		this.delFlag = delFlag;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}

	public CourseScheduleType getCourseScheduleType() {
		return courseScheduleType;
	}

	public void setCourseScheduleType(CourseScheduleType courseScheduleType) {
		this.courseScheduleType = courseScheduleType;
	}

	public BigDecimal getMainTeacherSalary() {
		return mainTeacherSalary;
	}

	public void setMainTeacherSalary(BigDecimal mainTeacherSalary) {
		this.mainTeacherSalary = mainTeacherSalary;
	}

	public BigDecimal getAssistantTeacherSalary() {
		return assistantTeacherSalary;
	}

	public void setAssistantTeacherSalary(BigDecimal assistantTeacherSalary) {
		this.assistantTeacherSalary = assistantTeacherSalary;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
	public Integer getDurationMin() {
		return durationMin;
	}

	public void setDurationMin(Integer durationMin) {
		this.durationMin = durationMin;
	}

	public Integer getDurationMax() {
		return durationMax;
	}

	public void setDurationMax(Integer durationMax) {
		this.durationMax = durationMax;
	}

	public SalarySettlementTypeEnum getSettlementType() {
		return settlementType;
	}

	public void setSettlementType(SalarySettlementTypeEnum settlementType) {
		this.settlementType = settlementType;
	}
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
